<ng-template #noDataRef>
  <p class="noData">{{ 'shared.noData' | translate }}</p>
</ng-template>

<ng-template #ghostRef>
  <sfl-list>
    <sfl-list-item *ngFor="let ghost of ghosts" @fadeOut>
      <mat-icon before>bookmark</mat-icon>
      <sfl-ghost-line></sfl-ghost-line>
    </sfl-list-item>
  </sfl-list>
</ng-template>

<header>
  <h1 class="top-appear">
    {{ 'gestion.referentials.genres.title' | translate }}
  </h1>
  <h2 class="top-appear">
    {{ 'gestion.referentials.genres.subtitle' | translate }}
  </h2>
</header>

<section>
  <ng-container *ngIf="!ghosts.length; else ghostRef">
    <sfl-list *ngIf="genres.length; else noDataRef">
      <sfl-list-item *ngFor="let genre of genres">
        <mat-icon before>bookmark</mat-icon>
        {{ genre.label }}
        <button type="button" after mat-icon-button sfl-stop-propagation [matMenuTriggerFor]="menu" aria-label="open menu">
          <mat-icon>more_vert</mat-icon>
        </button>

        <mat-menu #menu="matMenu">
          <a mat-menu-item [routerLink]="['edit', genre._id]">
            <mat-icon>create</mat-icon>
            <span>{{ 'shared.edit' | translate }}</span>
          </a>
          <button mat-menu-item (click)="delete(genre)">
            <mat-icon>delete</mat-icon>
            <span>{{ 'shared.delete' | translate }}</span>
          </button>
        </mat-menu>
      </sfl-list-item>
    </sfl-list>
  </ng-container>
</section>

<sfl-fixed-bottom-actions @fade>
  <a
    type="button"
    class="ng-fade"
    aria-label="add genre"
    mat-fab
    [routerLink]="['edit']"
    [matTooltip]="'shared.tip.createRessource' | translate: { ressource: ('shared.resources.genre' | translate) } | capitalize"
  >
    <mat-icon>add</mat-icon>
  </a>
</sfl-fixed-bottom-actions>
